##########################
#Load the library and data
##########################

library (MultiWay.Sample.Allocation)
data(graduates)            #data frame with population units
head(graduates)
data(errors.grad.matrix)   #data frame with precison thresholds  

###########################################################################################
#Apply the function parameters required to apply the allocation function
#Set up the function: two driving variables (vars=2) and two domain partitions (nmarg=2)
###########################################################################################
par<-parameters(graduates, "id_rek", "prof.size", "start.allocation", "dom", "y", "vary",
                errors.grad.matrix, "cv_y", vars = 2, nmarg = 2)


########################################
#View of the Output  parameters function
########################################
########################################
# Metadata stored in the par LIST 
########################################

str(par)
# Input data frame
head(par$namedata)
# Matrix modelmatrix
dim(par$modelmatrix)
head (par$modelmatrix)
# Matrix matrixres
dim(par$matrixres)
head (par$matrixres)
###############################################################################################
#Data frame cvt_err. The order of the CVs follows the rule given in Note of allocation function.
#The order is the same of the Example 1 in the reference manual.
###############################################################################################
head(par$cvt_err)

# List including meta parameters
str(par$meta)



####################################################
#Apply the function allocation 
####################################################

output_allocation<-allocation(par, output_mw, maxiter = 5, minouter=100, maxouter=107,
                              minprof=0, integ.solution="NO ", convergence = 0.01)
#############################################
#Results
#Data frame with the inclusion probabilities
#############################################
head(output_allocation$output)

##############################################
#Statistics on the convergence process
##############################################
head(output_allocation$hist_stat)
head(output_allocation$hist_expected_cv)
head(output_allocation$hist_constraints)
